at-spi-idl: Accessibility::ContentStream Interface Reference

Data Structures | Public Types | Public Member Functions

# Accessibility::ContentStream Interface Reference

`import "Accessibility_StreamableContent.idl";`

## Data Structures
exception | IOError
exception | NoPermission
exception | NotSupported
## Public Types
enum | SeekType { SEEK_SET, SEEK_CURRENT, SEEK_END }
typedef sequence< octet > | iobuf
## Public Member Functions
long | seek (in long offset, in SeekType whence) raises (NoPermission, IOError, NotSupported)
long | read (in long count, out iobuf buffer) raises (NoPermission, IOError)
void | close ()
void | unimplemented ()
void | unimplemented2 ()

## Detailed Description

An interface by which the requested data from a StreamableContent object may be read by the client.

Note:
  this interface supercedes the use of BonoboStream by previous versions of StreamableContent.

Since:
  AT-SPI 1.7.0

## Member Typedef Documentation

typedef sequence<octet> Accessibility::ContentStream::iobuf

## Member Enumeration Documentation

enum Accessibility::ContentStream::SeekType

Specifies the meaning of a seek 'offset'. Not all SeekTypes are supported by all StreamableContent data sources, for instance some streams may not support seeking from the beginning or other types of 'backwards' seeks.

Enumerator:

  SEEK_SET | Seek from the start of the stream or data source.
  SEEK_CURRENT | Seek relative to the current position.
  SEEK_END | Seek from the end of the file, stream, or data source.

## Member Function Documentation

void Accessibility::ContentStream::close | ( |  | ) |

close the stream and release associated resources. A client should not perform further operations on a StreamableContent::Stream object after closing it.

long Accessibility::ContentStream::read | ( | in long | count,
|  | out iobuf | buffer |
| ) |  |  | raises (NoPermission, IOError)

Request/read a specified amount of data from a Stream.

Returns:
  the number of bytes actually read into the client buffer.

long Accessibility::ContentStream::seek | ( | in long | offset,
|  | in SeekType | whence |
| ) |  |  | raises (NoPermission, IOError, NotSupported)

Seek to a specified position in the Stream.

Parameters:

  | offset | an offset specifying the requested position in the stream, relative to the SeekType specified in `whence`.
  | whence | a SeekType specifying the reference point from which the seek offset is calculated. Some forms of seek are not supported by certain implementations of Stream, in which case a NotSupported exception will be raised.

Returns:
  the actual resulting offset, if no exception was raised.

void Accessibility::ContentStream::unimplemented | ( |  | ) |

/cond

void Accessibility::ContentStream::unimplemented2 | ( |  | ) |

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_StreamableContent.idl